# Class CIM_FCPortCapabilities
extends CIM_LogicalPortCapabilities

FibreChannel port control and configuration capabilities.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_Capabilities
|
+--CIM_EnabledLogicalElementCapabilities
|
+--CIM_LogicalPortCapabilities
|
+--CIM_FCPortCapabilities

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | FibreChannel port control and configuration capabilities.
UMLPackagePath | string | CIM::Device::FC
Version | string | 2.11.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
RequestedTypesSupported | uint16[] |

Description

string

List of supported port types that can be configured on FCPortSettings.RequestedType. RequestedType acts as a filter on the enabled port types that a port may auto-negotiate during port login. "G" = Port may only act as an expansion port (E), or a fabric port (F). "GL" = Port may only act an an expansion port (E), a fabric port (F), or a fabric port supporting FC arbitrated loop (FL). "E" = Port may only act as an expansion port (E) connecting fabric elements. "F" = Port may only act as a fabric port (F). "FX" = Port may only act as a fabric port (F), or a fabric port supporting FC arbitrated loop (FL). "B" = Port may only act as a bridge port (B). "NX" = Port may only act as a node port (N) or a node port supporting FC arbitrated loop (NL). "N" = Port may only act as a Node port. "NL" = Port may only act as a Node Port supporting FC arbitrated loop. "NX" = Port may only act as a node port (N) or a node port supporting FC arbitrated loop (NL).

MappingStrings | string | FC-SWAPI.INCITS-T11|SWAPI_PORT_CONFIG_CAPS_T.ConfigurablePortTypes
ValueMap | string | 2, 3, 4, 5, 6, 7, 8, 9, 10, .., 16000..65535
Values | string | G, GL, E, F, FX, B, NX, N, NL, DMTF Reserved, Vendor Reserved

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
AutoSenseSpeedConfigurable | boolean | CIM_LogicalPortCapabilities
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
ElementName | string | CIM_Capabilities
ElementNameEditSupported | boolean | CIM_EnabledLogicalElementCapabilities
ElementNameMask | string | CIM_EnabledLogicalElementCapabilities
InstanceID | string | CIM_Capabilities
MaxElementNameLen | uint16 | CIM_EnabledLogicalElementCapabilities
RequestedSpeedsSupported | uint64[] | CIM_LogicalPortCapabilities
RequestedStatesSupported | uint16[] | CIM_EnabledLogicalElementCapabilities

## Class Methods